package com.zcloud.primeport.domain.gateway;

import com.zcloud.primeport.domain.model.MkmjPassageE;

public interface MkmjPassageGateway {
    Boolean add(MkmjPassageE mkmjPassageE);

    Boolean update(MkmjPassageE mkmjPassageE);

    Boolean deletedMkmjPassageById(Long id);

    Boolean deletedMkmjPassageByIds(Long[] id);

    Boolean checkName(String passageName, Long mkmjId, Long excludeId);

    Integer countByPassageId(String passageId);
}

